# Hover

class `praw.models.``Hover`(reddit: Reddit, _data: Optional[Dict[str, Any]])

  Class to represent the hover data for a `ButtonWidget`.

  These values will take effect when the button is hovered over (the user moves their cursor so it’s on top of the button).

  Typical Attributes

  This table describes attributes that typically belong to objects of this class. Since attributes are dynamically provided (see Determine Available Attributes of an Object), there is not a guarantee that these attributes will always be present, nor is this list comprehensive in any way.

  Attribute | Description
  --- | ---
  `color` | The hex color used to outline the button.
  `fillColor` | The hex color for the background of the button.
  `textColor` | The hex color for the text of the button.
  `height` | Image height. Only present on image buttons.
  `kind` | Either `text` or `image`.
  `text` | The text displayed on the button.

  `url`

  - If the button is a text button, a link that can be visited by clicking the button.

  - If the button is an image button, the URL of a Reddit-hosted image.

  `width` | Image width. Only present on image buttons.

  `__init__`(reddit: Reddit, _data: Optional[Dict[str, Any]])

    Initialize a PRAWModel instance.

    Parameters

      reddit – An instance of `Reddit`.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.